# Class ProposalRequestProcessor

java.lang.Object
org.apache.zookeeper.server.quorum.ProposalRequestProcessor

All Implemented Interfaces:
  `RequestProcessor`

public class ProposalRequestProcessor extends Object implements RequestProcessor
This RequestProcessor simply forwards requests to an AckRequestProcessor and SyncRequestProcessor.

## Nested Class Summary

### Nested classes/interfaces inherited from interface RequestProcessor

`RequestProcessor.RequestProcessorException`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FORWARD_LEARNER_REQUESTS_TO_COMMIT_PROCESSOR_DISABLED`

## Constructor Summary

Constructors
Constructor
Description
`ProposalRequestProcessor(LeaderZooKeeperServer zks, RequestProcessor nextProcessor)`

## Method Summary

Modifier and Type
Method
Description
`void`
`initialize()`
initialize this processor
`void`
`processRequest(Request request)`
`void`
`shutdown()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### FORWARD_LEARNER_REQUESTS_TO_COMMIT_PROCESSOR_DISABLED

public static final String FORWARD_LEARNER_REQUESTS_TO_COMMIT_PROCESSOR_DISABLED

See Also:
  - Constant Field Values

## Constructor Details

### ProposalRequestProcessor

public ProposalRequestProcessor(LeaderZooKeeperServer zks, RequestProcessor nextProcessor)

## Method Details

### initialize

public void initialize()
initialize this processor

### processRequest

public void processRequest(Request request) throws RequestProcessor.RequestProcessorException

Specified by:
  `processRequest` in interface `RequestProcessor`
Throws:
  `RequestProcessor.RequestProcessorException`

### shutdown

public void shutdown()

Specified by:
  `shutdown` in interface `RequestProcessor`